<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_emr".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountEmr".
 *
 * Columns in table "account_emr" available as properties of the model,
 * followed by relations of table "account_emr" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property integer $emr_type_id

 * @property integer $overbooking
 * @property integer $sync_provider_practice_schedule

 * @property string $message_disabled
 * @property string $message_warning
 *
 * @property Localization $localization
 * @property Account $account
 * @property Emr $emr
 */
abstract class BaseAccountEmr extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_emr';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountEmr|AccountEmrs', $n);
    }

    public function rules()
    {
        return array(
            array('emr_type_id, account_id', 'required'),
            array('account_id, emr_type_id, overbooking, sync_provider_practice_schedule', 'numerical', 'integerOnly' => true),
            array('message_disabled, message_warning', 'length', 'max' => 255),
            array('id, account_id, emr_type_id, sync_provider_practice_schedule', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
            'emr_type' => array(self::BELONGS_TO, 'EmrType', 'emr_type_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'emr_type_id' => null,
            'sync_provider_practice_schedule' => null,
            'overbooking' => null,
            'message_disabled' => Yii::t('app', 'Message Disabled'),
            'message_warning' => Yii::t('app', 'Message Warning'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('emr_type_id', $this->emr_type_id);

        $criteria->compare('sync_provider_practice_schedule', $this->sync_provider_practice_schedule);
        $criteria->compare('overbooking', $this->overbooking);
        $criteria->compare('message_disabled', $this->message_disabled, true);
        $criteria->compare('message_warning', $this->message_warning, true);
        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
